Subject: Re: bug#64325: ACL error

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jul 2023 09:40:57 +0300

> Cc: [email-masked]
> Date: Thu, 29 Jun 2023 08:47:29 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Wed, 28 Jun 2023 09:15:16 -0400
> > From:  Charles Millar via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > Please see the attached debug on error which is generated when I attempt 
> > to save a modified buffer/file, regardless of mode.
> 
> If, as I understand, you set debug-on-error non-nil when saving the
> buffer, then this is normal: it means that the volume you have mounted
> in /mnt/ doesn't support ACLs.  Emacs normally hides the ACL-related
> errors and silently falls back on using set-file-modes, but setting
> debug-on-error non-nil disables that.
> 
> So I don't think there's a bug here if you set debug-on-error.
> 
> If this happens even if you do not set debug-on-error, then I'd ask
> you to step in Edebug through the code in backup-buffer-copy and tell
> how come the with-demoted-errors form there doesn't do its job of
> catching errors.

No further comments, so I presume the issue can be closed now.